Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Class AuthorHibernateDao

    java.lang.Object
      HibernateObjectDao
          com.atlassian.bamboo.persistence.BambooHibernateObjectDao
              com.atlassian.bamboo.author.AuthorHibernateDao

All Implemented Interfaces:
  AuthorDao, BambooObjectDao

    public class AuthorHibernateDao

extends BambooHibernateObjectDao
implements AuthorDao

Constructor Summary
`AuthorHibernateDao()`

Method Summary
`Set` | `getAllUnlinkedAuthors()`
`ExtendedAuthor` | `getAuthorByName(String name)`
`Set` | `getAuthorsInBuild(long buildId)`
`List` | `getBuildResultsBrokenByAuthor(ExtendedAuthor author)`
`List` | `getBuildResultsFailedByAuthor(ExtendedAuthor author)`
`List` | `getBuildResultsFixedByAuthor(ExtendedAuthor author)`
`List` | `getBuildResultsSuccessfulByAuthor(ExtendedAuthor author)`
`List` | `getBuildResultsTriggeredByAuthor(ExtendedAuthor author)`
`List` | `getLinkedAuthorsForUser(User user)`
`Class` | `getPersistentClass()`

Methods inherited from class com.atlassian.bamboo.persistence.BambooHibernateObjectDao
`findById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Constructor Detail

### AuthorHibernateDao

    public AuthorHibernateDao()

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### getAuthorsInBuild

    public Set getAuthorsInBuild(long buildId)

  Specified by:
    `getAuthorsInBuild` in interface `AuthorDao`
  Returns:
    a `Set` of `Author` objects given build key.

### getAuthorByName

    public ExtendedAuthor getAuthorByName(String name)

  Specified by:
    `getAuthorByName` in interface `AuthorDao`
  Returns:
    a `ExtendedAuthor` object given an author name

### getBuildResultsFailedByAuthor

    public List getBuildResultsFailedByAuthor(ExtendedAuthor author)

  Specified by:
    `getBuildResultsFailedByAuthor` in interface `AuthorDao`
  Returns:
    `List` of `BuildResultsSummary` triggered by author and failed

### getBuildResultsSuccessfulByAuthor

    public List getBuildResultsSuccessfulByAuthor(ExtendedAuthor author)

  Specified by:
    `getBuildResultsSuccessfulByAuthor` in interface `AuthorDao`
  Returns:
    `List` of `BuildResultsSummary` triggered by author and succesful

### getBuildResultsBrokenByAuthor

    public List getBuildResultsBrokenByAuthor(ExtendedAuthor author)

  Specified by:
    `getBuildResultsBrokenByAuthor` in interface `AuthorDao`
  Returns:
    `List` of `BuildResultsSummary` broken by author

### getBuildResultsFixedByAuthor

    public List getBuildResultsFixedByAuthor(ExtendedAuthor author)

  Specified by:
    `getBuildResultsFixedByAuthor` in interface `AuthorDao`
  Returns:
    `List` of `BuildResultsSummary` fixed by author

### getAllUnlinkedAuthors

    public Set getAllUnlinkedAuthors()

  Specified by:
    `getAllUnlinkedAuthors` in interface `AuthorDao`
  Returns:
    `Set` of `ExtendedAuthor` which are not yet linked to any user.

### getLinkedAuthorsForUser

    public List getLinkedAuthorsForUser(User user)

  Specified by:
    `getLinkedAuthorsForUser` in interface `AuthorDao`
  Returns:
    `List` of `ExtendedAuthor` which are linked to a given user.

### getBuildResultsTriggeredByAuthor

    public List getBuildResultsTriggeredByAuthor(ExtendedAuthor author)

  Specified by:
    `getBuildResultsTriggeredByAuthor` in interface `AuthorDao`
  Returns:
    `List` of `BuildResultsSummary` triggered by author

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.